
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef scout_ERROR_H
#define scout_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_scout    (4000)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_scout_BAD_CMD_DATA         H2_ENCODE_ERR(M_scout     , 1)
#define S_scout_POSTER_NOT_UPDATED   H2_ENCODE_ERR(M_scout     , 2)
#define S_scout_CMD_STOP_TRACK       H2_ENCODE_ERR(M_scout     , 3)
#define S_scout_BAD_REF              H2_ENCODE_ERR(M_scout     , 4)
#define S_scout_POSTER_NOT_FOUND     H2_ENCODE_ERR(M_scout     , 5)
#define S_scout_BAD_REF_DATA         H2_ENCODE_ERR(M_scout     , 6)
#define S_scout_TRACKING_ON          H2_ENCODE_ERR(M_scout     , 7)
#define S_scout_UNINITIALIZED        H2_ENCODE_ERR(M_scout     , 8)
#define S_scout_UNKNOWN_ERROR        H2_ENCODE_ERR(M_scout     , 9)
#define S_scout_OUT_OF_MEMORY        H2_ENCODE_ERR(M_scout     , 10)
#define S_scout_CONNECTION_FAILED    H2_ENCODE_ERR(M_scout     , 11)
#define S_scout_ROBOT_NOT_FOUND      H2_ENCODE_ERR(M_scout     , 12)
#define S_scout_UNKNOWN_ALARM        H2_ENCODE_ERR(M_scout     , 13)
#define S_scout_NO_MOTION            H2_ENCODE_ERR(M_scout     , 14)
#define S_scout_REF_NOT_UPDATED      H2_ENCODE_ERR(M_scout     , 15)
#define S_scout_IMPORTANT_DRIFT      H2_ENCODE_ERR(M_scout     , 16)
#define S_scout_LOW_BATTERY          H2_ENCODE_ERR(M_scout     , 17)
#define S_scout_CHOC_BUMPER          H2_ENCODE_ERR(M_scout     , 18)
#define S_scout_MOTION_ERROR         H2_ENCODE_ERR(M_scout     , 19)
#define S_scout_ESTOP_DOWN           H2_ENCODE_ERR(M_scout     , 20)
#define S_scout_JOYSTICK_IN_USE      H2_ENCODE_ERR(M_scout     , 21)
#define S_scout_INVALID_ARGUMENT     H2_ENCODE_ERR(M_scout     , 22)
#define S_scout_UNKNOWN_AXIS_STATUS  H2_ENCODE_ERR(M_scout     , 23)


/* std errors */
#define S_scout_stdGenoM_ACTIVITY_INTERRUPTED       262202369   /* 4000<<16 | 0x8000 | 100<<8 | 1 */
#define S_scout_stdGenoM_TOO_MANY_ACTIVITIES        262202370   /* 4000<<16 | 0x8000 | 100<<8 | 2 */
#define S_scout_stdGenoM_ACTIVITY_FAILED            262202371   /* 4000<<16 | 0x8000 | 100<<8 | 3 */
#define S_scout_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 262202372   /* 4000<<16 | 0x8000 | 100<<8 | 4 */
#define S_scout_stdGenoM_UNKNOWN_ACTIVITY           262202373   /* 4000<<16 | 0x8000 | 100<<8 | 5 */
#define S_scout_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 262202374   /* 4000<<16 | 0x8000 | 100<<8 | 6 */
#define S_scout_stdGenoM_SYSTEM_ERROR               262202375   /* 4000<<16 | 0x8000 | 100<<8 | 7 */
#define S_scout_stdGenoM_ACTIVITY_ALREADY_ENDED     262202376   /* 4000<<16 | 0x8000 | 100<<8 | 8 */
#define S_scout_stdGenoM_WAIT_INIT_RQST             262202377   /* 4000<<16 | 0x8000 | 100<<8 | 9 */
#define S_scout_stdGenoM_CONTROL_CODEL_ERROR        262202378   /* 4000<<16 | 0x8000 | 100<<8 | 10 */
#define S_scout_stdGenoM_EXEC_TASK_SUSPENDED        262202379   /* 4000<<16 | 0x8000 | 100<<8 | 11 */
#define S_scout_stdGenoM_BAD_BLOCK_TYPE             262202380   /* 4000<<16 | 0x8000 | 100<<8 | 12 */
#define S_scout_stdGenoM_BAD_POSTER_TYPE            262202381   /* 4000<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define SCOUT_H2_ERR_MSGS {\
    {"BAD_CMD_DATA", 1}, \
    {"POSTER_NOT_UPDATED", 2},\
    {"CMD_STOP_TRACK", 3},\
    {"BAD_REF", 4},\
    {"POSTER_NOT_FOUND", 5},\
    {"BAD_REF_DATA", 6},\
    {"TRACKING_ON", 7},\
    {"UNINITIALIZED", 8},\
    {"UNKNOWN_ERROR", 9},\
    {"OUT_OF_MEMORY", 10},\
    {"CONNECTION_FAILED", 11},\
    {"ROBOT_NOT_FOUND", 12},\
    {"UNKNOWN_ALARM", 13},\
    {"NO_MOTION", 14},\
    {"REF_NOT_UPDATED", 15},\
    {"IMPORTANT_DRIFT", 16},\
    {"LOW_BATTERY", 17},\
    {"CHOC_BUMPER", 18},\
    {"MOTION_ERROR", 19},\
    {"ESTOP_DOWN", 20},\
    {"JOYSTICK_IN_USE", 21},\
    {"INVALID_ARGUMENT", 22},\
    {"UNKNOWN_AXIS_STATUS", 23},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int scoutRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
